software management error

Hi
when running “software management”
error

An error occurred during repository initialization.
'repo-update': |] Failed to cache repo (4).
History:
- 'repo2solv.sh' '-o' '/var/cache/zypp/solv/repo-update/solv' '-X' '/var/cache/zypp/raw/repo-update'


gzip: 5267af7407d335834192af4d908d15187142495d59f875fa31742f0a2983e50f-updateinfo.xml.gz: not in gzip format
updateinfoxml2solv: repo_updateinfoxml: no element found at line 1:0

I refresh list repos
but still show error
how to fix?

Sounds like a problem at a mirror you use. Try another mirror

but not found mirror links for repos official " oss,upadete."=======example ======only have a link for “http://download.opensuse.org/update/leap/42.1/oss/

The opensuse site redirects you to a local mirror. If ther e is a problem with that mirror you may need to go to another or just wait until it is fixed

still i can’t update the system. with official repos
when running app “update online” show error same first my post
How do I change local for mirror download repo offical?
for manual fix i must change local time zone?

Has nothing at all to do with the time zone it has to do with the URL in the definition of each repo.

If you go to the official site it normally redirects you to a mirror geographically closer to you.

explained here

https://en.opensuse.org/Portal:Mirrors/Intro

Thank you
i found mirror links for update “ftp://ftp5.gwdg.de/pub/opensuse/update/leap/42.1/oss” and “ftp://ftp5.gwdg.de/pub/opensuse/update/leap/42.1/non-oss
is that the links safe?

yes those are safe and rather fast but that mirror is in Germany
https://www.gwdg.de/about-us
it’s a shared university and a research center mirror, if you’re not in Europe they might not be the best choice, you should pick a mirror close to you.

Hello:
The software Updates icon on system tray says there are 32 updates available. A click on install updates, reports back " An internal error occurred. A problem that we were not expecting has occurred. Please report this bug …"
Any ideas??
Thanks!

as root run

zypper clean
zypper ref
zypper up

and post the errors here

Here is a listing of the above last command:

Lenovo:/home/marco # zypper up
Loading repository data…
Reading installed packages…

The following 231 package updates will NOT be installed:
alsa alsa-oss alsa-oss-32bit alsa-plugins alsa-plugins-32bit alsa-plugins-pulse
alsa-plugins-pulse-32bit alsa-utils amarok amarok-lang apache-commons-logging bluez
cdrdao cdrecord dvd+rw-tools esound-daemon fdupes gdk-pixbuf-loader-libopenraw
genisoimage google-noto-fonts gstreamer-0_10 gstreamer-0_10-fluendo-mp3
gstreamer-0_10-lang gstreamer-0_10-plugin-esd gstreamer-0_10-plugins-bad
gstreamer-0_10-plugins-base gstreamer-0_10-plugins-base-lang gstreamer-0_10-plugins-good
gstreamer-0_10-plugins-good-lang gstreamer-0_10-plugins-ugly
gstreamer-0_10-plugins-ugly-lang gstreamer-plugins-bad gstreamer-plugins-good


The following 4 NEW packages are going to be installed:
libftgl2 libprojectM2 libSDL_image-1_2-0 libupnp6

The following 32 packages are going to be upgraded:
ffmpeg flash-player flash-player-gnome flash-plugin gstreamer-0_10-plugins-bad k3b
k3b-codecs k3b-lang libavcodec56 libavdevice56 libavfilter5 libavformat56 libavresample2
libavutil54 libdcadec0 libgstbasecamerabinsrc-0_10-23 libgstbasevideo-0_10-23
libgstcodecparsers-0_10-23 libgstphotography-0_10-23 libgstsignalprocessor-0_10-23
libgstvdp-0_10-23 libpostproc53 libswresample1 libswscale3 libvlc5 libvlccore8 libxine2
vlc vlc-codecs vlc-noX vlc-qt xine-ui

32 packages to upgrade, 4 new.
Overall download size: 46.7 MiB. Already cached: 0 B. After the operation, 12.0 MiB will
be freed.
Continue? [y/n/? shows all options] (y):

After I type Y

Continue? [y/n/? shows all options] (y): y
Retrieving package flash-plugin-11.2.202.554-release.x86_64
(1/36), 6.9 MiB ( 19.4 MiB unpacked)
Retrieving: flash-plugin-11.2.202.554-release.x86_64.rpm …[done (745.2 KiB/s)]
flash-plugin-11.2.202.554-release.x86_64.rpm:
Header V3 DSA/SHA1 Signature, key ID f6777c67: NOKEY
V3 DSA/SHA1 Signature, key ID f6777c67: NOKEY

flash-plugin-11.2.202.554-release.x86_64 (adobe-flash-plugin): Signature verification failed [4-Signatures public key is not available]
Abort, retry, ignore? [a/r/i] (a):

After I type r

Abort, retry, ignore? [a/r/i] (a): r
Retrieving package flash-plugin-11.2.202.554-release.x86_64
(1/36), 6.9 MiB ( 19.4 MiB unpacked)
Retrieving: flash-plugin-11.2.202.554-release.x86_64.rpm …[done (714.9 KiB/s)]
flash-plugin-11.2.202.554-release.x86_64.rpm:
Header V3 DSA/SHA1 Signature, key ID f6777c67: NOKEY
V3 DSA/SHA1 Signature, key ID f6777c67: NOKEY

flash-plugin-11.2.202.554-release.x86_64 (adobe-flash-plugin): Signature verification failed [4-Signatures public key is not available]
Abort, retry, ignore? [a/r/i] (a):

After I typed i

Abort, retry, ignore? [a/r/i] (a): i
Retrieving package libupnp6-1.6.19-27.5.x86_64 (2/36), 135.8 KiB (383.0 KiB unpacked)
Retrieving: libupnp6-1.6.19-27.5.x86_64.rpm …[done]
Retrieving package libftgl2-2.1.3~rc5-47.9.x86_64 (3/36), 92.6 KiB (378.9 KiB unpacked)
Retrieving: libftgl2-2.1.3~rc5-47.9.x86_64.rpm …[done]
Retrieving package flash-player-11.2.202.554-1.1.x86_64
(4/36), 11.4 MiB ( 34.8 MiB unpacked)


Retrieving: vlc-codecs-2.2.1-305.1.x86_64.rpm …[done]
Checking for file conflicts: …[error]
Detected 1 file conflict:

File /usr/share/applications/flash-player-properties.desktop
from install of
flash-plugin-11.2.202.554-release.x86_64 (adobe-flash-plugin)
conflicts with file from install of
flash-player-gnome-11.2.202.554-1.1.x86_64 (Packman Repository)

File conflicts happen when two packages attempt to install files with the same name but different contents. If you continue, conflicting files will be replaced losing the previous content.
Continue? [yes/no] (no):

After I typed y

Continue? [yes/no] (no): y

( 1/36) Installing: flash-plugin-11.2.202.554-release …[done]
Additional rpm output:
warning: /var/cache/zypp/packages/adobe-flash-plugin/flash-plugin-11.2.202.554-release.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID f6777c67: NOKEY

( 2/36) Installing: libupnp6-1.6.19-27.5 …[done]
( 3/36) Installing: libftgl2-2.1.3~rc5-47.9 …[done]
( 4/36) Installing: flash-player-11.2.202.554-1.1 …[done]
( 5/36) Installing: libgstphotography-0_10-23-0.10.23-172.3 …[done]


(36/36) Installing: vlc-codecs-2.2.1-305.1 …[done]
Lenovo:/home/marco #

Questions:
Why 231 packages are not going to be updated??
Do I have to disable pacman repo now because of flashplayer??
How to get flashplayer’s key?
Thanks!

Because “zypper up” doesn’t switch packages to versions in other repos by default, as that wouldn’t normally be a good idea.

Do I have to disable pacman repo now because of flashplayer??

No.
Remove the Adobe repo or uninstall Packman’s flash-player package (or at least flash-player-gnome).

I would do the former, you get the latest version from Packman anyway.

How to get flashplayer’s key?

You can’t.
Adobe’s package/repo is unsigned apparently. They would need to sign it.

But you have a file conflict too: Adobe’s flash-plugin package contains the same files as Packman’s flash-player(-gnome).
It’s no good idea and unnecessary to have both installed anyway.

First off do not high-jack threads you have a different problem from the original one, open a new one, it was my fault for answering. (a mod might want to split this?)
but…
it looks like you are downloading flash from adobe, and you don’t have it’s key, do not download flash from adobe as packman already carries flash, what to do?
remove the adobe repo and do a dup to packman.
post the output of

zypper lr -d

do it in a new thread your issue is different it has nothing to do with a bad mirror, it might help other users searching the forums.

PS: if you do want to use the Adobe repo, you can tell zypper to ignore the missing key.
Run this:

sudo zypper mr --no-gpgcheck *name_or_number_of_the_Adobe_repo*

But again, you should uninstall Packman’s flash-player* packages then.

I already disabled the Adobe repo.
Thanks!

@ l_A
Sorry! It was not my intention to hijack. Perhaps it was a mis-judgement on my part after a search of the forum before posting.
Any how I post the result of your suggested command in a new thread and appreciate any comments.
thanks!